%define langpack 1

Name: gq
Version: 0.7.0
Release: alt10.beta2.1


Summary: GQ is an interactive graphical LDAP browser.
Summary(ru_RU.UTF-8): GQ - графический LDAP клиент.
License: GPL
Group: Networking/Other 
Url: http://biot.com/%name

Source0: http://prdownloads.sourceforge.net/gqclient/gq-%version-beta2.tar.bz2
Source1: http://prdownloads.sourceforge.net/gqclient/gq-%version-beta2-langpack-%langpack.tar.bz2
Patch0:	gq-0.7.0beta2.patch
Patch1: gq-0.7.0-beta2-ALT-po-Makefile.patch

Requires: gdk-pixbuf
Requires: gtk+2 
Requires: libsasl2


BuildPreReq: libsasl2-devel
# Automatically added by buildreq on Sun Feb 29 2004
BuildRequires: XFree86-devel XFree86-libs gdk-pixbuf-devel glib-devel gtk+-devel libldap-devel libssl-devel


%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%description -l ru_RU.UTF-8
GQ это LDAP клиент основанный на GTK+. Его можно использовать для посика в LDAP каталоге, а также для просмотра каталога в виде "дерева".  


%prep
%setup -q -n %name-%version
tar -xjf %SOURCE1
./gq-%version-langpack-%langpack/langpack .

%patch0 -b .stempfest-patch
%patch1 -p1 -b .mkinstalldir

%build

## It's a TOT for Upgrade to new version of AUTOTOOLS
rm aclocal.m4
aclocal
automake -a
###autoreconf
autoconf

%configure \
	--with-included-gettext \
	--enable-browser-dnd \
	--enable-cache 
###	--with-kerberos-prefix=/lib/krb5/ 
	
%make_build

%install
%makeinstall install-strip 

install -d $RPM_BUILD_ROOT%_iconsdir
install -m 644 icons/logo.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm

# menu support
install -d $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): longtitle="%summary" \
command="%_bindir/%name" title="%name"  needs="x11" \
section="Networking/Other" \
icon="%name.xpm"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc README README.TLS README.langpack README.NLS INSTALL COPYING ChangeLog RELNOTES NEWS TODO AUTHORS
%_bindir/%name
%_menudir/%name
%_iconsdir/%{name}*
%_datadir/pixmaps/gq/*
%_datadir/locale/*/LC_MESSAGES/*.mo

%changelog
* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.0-alt10.beta2.1
- Rebuilt with openssl-0.9.7d.

* Sun Apr 25 2004 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt10.beta2
- Rebuild (remove autoreconf).

* Sat Feb 28 2004 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt9.beta2
- Rebuild with new autotools
- Add gq-0.7.0-beta2-ALT-po-Makefile.patch for correction po files install

* Fri Feb 13 2004 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt8.beta2
- Rebuild with sasl2 and new OpenLDAP (libdb4.2)

* Mon Dec 29 2003 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt7.beta2
- Update for build with Sisyphus

* Wed Nov 06 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt6.beta2
- Add UTF-8 Description and Summary -- now menu ganerate right.
 
* Thu Oct 31 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt5.beta2
- Add requires of autoconf and automake old version!!!

* Mon Oct 28 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt4.beta2
- Update Requires

* Thu Oct 24 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt3.beta2
- Add patch from Peter Stemfest
- Correct rpm Group
- Update BuildRequires
- Add translations for descritions and Summary
- Add Requires and BuildRequires for libsasl2 and libsasl2-devel (buildreq utils not find it)

* Wed Oct 16 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0beta2-alt2
- Update to new beta2 version
- Add --with-included-gettext (langpack0)

* Mon Oct 07 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0beta1-alt1
- Update to new beta1 version

* Tue Jul 16 2002 Serge A. Volkov <vserge@altlinux.ru> 0.6.0-alt3
- Correct BuildRequies for gdk-pixbuf-devel now realy can see jpegPhoto

* Thu Jul 11 2002 Serge A. Volkov <vserge@altlinux.ru> 0.6.0-alt2
- Add new options for configure
  - --enable-browser-dnd for drag and drop support in browse mode 
  - --enable-cache for supports the OpenLDAP experimental client cache
- Update BuildRequires
 
* Thu Jul 11 2002 Serge A. Volkov <vserge@altlinux.ru> 0.6.0-alt1
- Update for 0.6.0 
- spec correction

* Tue Mar 19 2002 Serge A. Volkov <vserge@altlinux.ru> 0.5.0-alt1
- Update version to 0.5.0
- Spec cleanup

* Sat May 05 2001 Rider <rider@altlinux.ru> 0.4.0-alt1
- first build for ALT Linux

* Thu Mar 15 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4.0-2.1mdk
- changed make macro

* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com>
- changes in menu entry

* Tue Mar 06 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4.0-1mdk
- new package

